
Quantification tool - Bug #506

Block recording medicines with Default dose unit, Duration (months) and Default Frequency

assigned as 0 (zero)

03/18/2013 06:39 PM - Luis Gustavo do Valle Bastos

Status: Closed Start date: 03/18/2013

Priority: Immediate Due date: 04/01/2013

Assignee: Luis Gustavo do Valle Bastos % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Version 1.0 Spent time: 0.25 hour

Description

When adding or editing medicines in Treatment Regimens.

In this case, display a warning message.

History

#1 - 03/20/2013 09:12 AM - Oleksii Kurasov

- Due date set to 03/20/2013

- Status changed from New to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

- % Done changed from 0 to 100

#2 - 03/22/2013 12:48 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Feedback

The warning messages should be more explicit, as follow:

"The Default dose unit, Duration and Default Frequency in the intensive phase cannot be zero".

"The Default dose unit, Duration and Default Frequency in the continuous phase cannot be zero".

#3 - 03/22/2013 05:45 PM - Luis Gustavo do Valle Bastos

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

#4 - 04/01/2013 06:37 AM - Oleksii Kurasov

- Due date changed from 03/20/2013 to 04/01/2013

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#5 - 04/02/2013 12:24 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Closed

Tested and adequate.
